Skip to main content
POST
Verify Vyper Source Code

Authorizations

apikey
string
query
required

Enter your Etherscan API key, or set one up if you don't have one.

Query Parameters

chainid
string
required

Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our supported chains.

module
string
default:contract
required

Set to contract for this endpoint.

action
string
default:verifysourcecode
required

Set to verifysourcecode for this endpoint.

Body

application/x-www-form-urlencoded
codeformat
string
required

Use vyper-json for Vyper contracts.

Example:

"vyper-json"

sourceCode
string
required

The Vyper source code in JSON format.

contractaddress
string
required

The address where the contract is deployed.

Example:

"0xdAC17F958D2ee523a2206206994597C13D831ec7"

contractname
string
required

The contract name, including path if applicable.

Example:

"contracts/Verified.vy:Verified"

compilerversion
string
required

Compiler version used for compilation. See the supported Vyper compiler versions.

Example:

"vyper:0.4.0"

optimizationUsed
string
required

Use 1 if compiler optimizations were enabled, otherwise 0.

Example:

"0"

constructorArguments
string

Optional constructor arguments used in contract deployment.

Example:

"00000000000000000000000074271f2282ed7ee35c166122a60c9830354be42a"

Response

200 - application/json

Successful response

status
string

1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.

message
string

OK on success, otherwise an error description such as NOTOK. See common error messages.

result
string

GUID for the verification submission. Use it with checkverifystatus to poll the result.